use utoipa::OpenApi;

use crate::api::bot::info;

#[derive(OpenApi)]
#[openapi(
    info(
        title = "BotDiscordApi",
        version = "0.1.0",
        description = "Api for discord bot",
    ),
    tags(
        (name= "Auth", description = "Authentication"),
        (name= "User", description = "User operations"),
        (name= "Bot", description = "Bot operations")
    ),
    components(
        schemas(
            info::Info,
        )
    ),
    paths(
        info::get_info,
    )
)]
pub struct ApiDocs;
